Commit 0eb58386 authored by nimrod's avatar nimrod
Browse files

Codespell pre-commit hook.

- Add a pre-commit hook.
- Correct some spelling mistakes.
parent 5909705e
Loading
Loading
Loading
Loading
+6 −0
Original line number Diff line number Diff line
@@ -104,3 +104,9 @@ repos:
        args:
          - "--server"
          - https://git.shore.co.il

  - repo: https://github.com/codespell-project/codespell.git
    rev: v2.1.0
    hooks:
      - id: codespell
        exclude: \.local/share/applications/.*\.desktop
+1 −1
Original line number Diff line number Diff line
#!/usr/bin/env python3
# pylint: disable=invalid-name
"""Backup a Git repositories namespace to my GitLab instace.
"""Backup a Git repositories namespace to my GitLab instance.

Which means creating a namespace in GitLab, creating a project for every
repository in the namespace, adding a remote to the repository and pushing
+2 −2
Original line number Diff line number Diff line
@@ -57,13 +57,13 @@ sync () {
    cp -rf "$RUNTIME_DIR/kbfs/"* "$DOCUMENTS_DIR/"
    if [ ! -w "/Volumes" ]
    then
        echo "Skiped creating links in /Volumes/Keybase, directory not writeable." >&2
        echo "Skipped creating links in /Volumes/Keybase, directory not writeable." >&2
    else
        ln -sf "$DOCUMENTS_DIR" /Volumes/Keybase
    fi
    if [ ! -w "/keybase" ]
    then
        echo "Skiped creating links in /keybase, directory not writeable." >&2
        echo "Skipped creating links in /keybase, directory not writeable." >&2
    else
        find /home/nimrod/Documents/Smile/keybase/ -maxdepth 1 -mindepth 1 -exec ln -sf --target /keybase/ '{}' \;
    fi
+1 −1
Original line number Diff line number Diff line
#!/bin/sh
set -eu
# To install, add the folowing lines to your crontab:
# To install, add the following lines to your crontab:
# PATH="~/Documents/bin:/usr/local/bin:/usr/bin:/bin"
# */5 * * * * update-voltage

+1 −1
Original line number Diff line number Diff line
@@ -89,7 +89,7 @@ logger -p user.debug "WiFi login HTTP code: $http_code"
redirect_url="$(wifi-portal)" || die "Failed to get the redirect URL."
if [ "$redirect_url" = "" ]
then
    logger -p user.debug "Successfuly logged in to the WiFi network."
    logger -p user.debug "Successfully logged in to the WiFi network."
else
    logger -p user.debug "Failed to login to the WiFi network, still redirecting to a captive portal."
fi